Package org.eclipse.jdt.apt.core.util

# Class AptUtil

java.lang.Object
org.eclipse.jdt.apt.core.util.AptUtil

public final class AptUtil extends Object

## Method Summary

Modifier and Type
Method
Description
`static AnnotationProcessorFactory`
`getFactoryForAnnotation(String fullyQualifiedAnnotation, IJavaProject jproj)`
Returns the matching annotation processor factory for a given annotation in a given project.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getFactoryForAnnotation

public static AnnotationProcessorFactory getFactoryForAnnotation(String fullyQualifiedAnnotation, IJavaProject jproj)
Returns the matching annotation processor factory for a given annotation in a given project.

Parameters:
  `fullyQualifiedAnnotation` - the annotation for which a factory is desired. This must be fully qualfied -- e.g. "org.eclipse.annotation.Foo"